Bug 8109 - RH 6.1 install fails if you have mounted any partitions before package install
Summary: RH 6.1 install fails if you have mounted any partitions before package install
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-02 15:59 UTC by eric.ayers
Modified: 2015-01-07 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-14 16:48:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description eric.ayers 2000-01-02 15:59:36 UTC
I am installing Red Hat 6.1 CDROM on a 2 drive system.  (I have RH 5.2 on
the first drive and just got a new 20Gb drive!)

I booted off of the CDROM directly.  I get through the questions about
partitioning, I want it to leave HDA alone, so I chose the Manual Partition
option and created a root and swap on hdb.

When it gets to the part about nameservers, I switched to console 2
to mount my old partition and get the info off of it. I left it
mounted) when it gets to the part about installing packages, I see
an error message "/dev/hda" busy and python wants to break out into
a debugger.  Pretty minor thing, actually. I'm going to try again w/o
mounting /dev/hda!

Comment 1 Jay Turner 2000-02-14 16:48:59 UTC
Try again without mounting /dev/hda.  Depending on where you chose to install
lilo, there is a pretty good chance that the installer would need to write stuff
to the MBR of /dev/hda, so I am betting that is why you got the error message
that you did.  When performing an installation, no partitions on the system
should be mounted other than those mounted by the installer.


Note You need to log in before you can comment on or make changes to this bug.